## org.eclipse.datatools.sqltools.common.ui.tableviewer
Class TableDataCellModifier

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.tableviewer.TableDataCellModifier

All Implemented Interfaces:
  org.eclipse.jface.viewers.ICellModifier

Direct Known Subclasses:
  ASATableEditorColumnsViewerCellModifier, ParameterDataCellModifier

    public class TableDataCellModifier

extends java.lang.Object
implements org.eclipse.jface.viewers.ICellModifier

TableDataCellModifier class to support the editing of the cell in the table

Author:
  lihuang

Constructor Summary
`TableDataCellModifier(AccessibleTableViewer viewer)`

Method Summary
`boolean` `canChange(java.lang.Object element, int index)` This method is used to verify if the specified column is editable.
`boolean` `canModify(java.lang.Object element, java.lang.String property)`
`java.lang.Object` `getValue(java.lang.Object element, java.lang.String property)`
`void` `modify(java.lang.Object element, java.lang.String property, java.lang.Object value)`
`void` `setCanModify(boolean canModify)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDataCellModifier

    public TableDataCellModifier(AccessibleTableViewer viewer)

Method Detail

### canChange

    public boolean canChange(java.lang.Object element,
                             int index)

  This method is used to verify if the specified column is editable. User needs to override this method if he wants to make some column readonly.

  Parameters:
    `element` -
    `index` - the specified column
  Returns:
    true is editable

### canModify

    public boolean canModify(java.lang.Object element,
                             java.lang.String property)

  Specified by:
    `canModify` in interface `org.eclipse.jface.viewers.ICellModifier`

### setCanModify

    public void setCanModify(boolean canModify)

### getValue

    public java.lang.Object getValue(java.lang.Object element,
                                     java.lang.String property)

  Specified by:
    `getValue` in interface `org.eclipse.jface.viewers.ICellModifier`

### modify

    public void modify(java.lang.Object element,
                       java.lang.String property,
                       java.lang.Object value)

  Specified by:
    `modify` in interface `org.eclipse.jface.viewers.ICellModifier`